The Spring Framework

## org.springframework.util.comparator
Class ComparableComparator

    java.lang.Object
      org.springframework.util.comparator.ComparableComparator

All Implemented Interfaces:
  Comparator

    public class ComparableComparator

extends Object
implements Comparator

Comparator that adapts Comparables to the Comparator interface. Mainly for internal use in other Comparators, when supposed to work on Comparables.

Since:
  1.2.2
Author:
  Keith Donald
See Also:
  `Comparable`

Constructor Summary
`ComparableComparator()`

Method Summary
`int` `compare(Object o1, Object o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### ComparableComparator

    public ComparableComparator()

Method Detail

### compare

    public int compare(Object o1,
                       Object o2)

  Specified by:
    `compare` in interface `Comparator`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.